@echo off

setlocal ENABLEDELAYEDEXPANSION

if NOT DEFINED java_home goto MISSING_JAVA_HOME

if not exist "%java_home%\bin\java.exe" goto MIDSSING_SDK

set batchDrive=%~d0
%batchDrive%

set batchDir=%~p0
cd %batchDir%
cd ..
set rootDir=%cd%

if NOT DEFINED HOSTNAME for /f %%i in ('hostname') do set HOSTNAME=%%i

set cp=config
for %%f in (lib\*.jar) do set cp=!cp!;%%f

for %%f in (lib\extra\*.jar) do set cp=!cp!;%%f

set orb=-Djava.endorsed.dirs=lib\endorsed -Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton
set derby_cfg=-Dderby.storage.pageSize=4096 -Dderby.storage.pageCacheSize=40
set derby_log=-Dderby.stream.error.file="%rootDir%"\logs\derby.log
set log4j2=
if exist lib/jul-to-slf4j*.jar set log4j2="-Dlog4j2.logEventFactory=com.addc.server.commons.tomcat.JuliLog4jEventFactory"
set cp="config;lib\*;lib\extra\*"

start "${full.service.name}" "%java_home%\bin\java" -server -cp %cp% %jmx% %log4j2% %orb% %derby_cfg% %derby_log% -Dcatalina.base=%rootDir% %SRV_OPTS% com.addc.server.ServerRunner ${service.name} 2> logs\error.log

:CheckForFile
IF EXIST %rootDir%\.${service.name} GOTO END

TIMEOUT /T 1 >nul

GOTO CheckForFile

goto END

:MISSING_JAVA_HOME
echo.
echo JAVA_HOME has not been set, please set JAVA_HOME to point to a valid JDK.
echo.
goto END

:MIDSSING_SDK
echo.
echo Cannot find %java_home%\bin\java.exe, please set JAVA_HOME to point to a valid JDK.
echo.

:END

endlocal
